package gridissue;

import java.util.ArrayList;

import com.vaadin.flow.component.UI;
import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.grid.Grid;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;
import com.vaadin.flow.server.PWA;

/**
 * The main view contains a button and a click listener.
 */
@Route("")
@PWA(name = "Project Base for Vaadin Flow", shortName = "Project Base")
public class MainView extends VerticalLayout {

	ArrayList<String> list;
	
    public MainView() {
    	
    	list = new ArrayList<>();
    	
    	Grid<String> grid = new Grid<>();
    	
    	grid.addColumn(item -> item);
    	
        Button button = new Button("Add Row", event ->  {
        	
        	list.add(new String("row " + (list.size() + 1)));
        	grid.setItems(list);
        	
        	grid.select(list.get(list.size() - 1));
        	UI.getCurrent().getPage().executeJavaScript("$0._scrollToIndex($1)", grid, list.size() - 1);
        });
        add(button, grid);
    }
}
